package com.palmnest.application.dto.output;

import java.io.Serializable;

public class EnterpriseDto implements Serializable{

	private Integer id;
	private String enterNumber;//企业入驻编码
	private String orgId;//楼宇
	private String orgName;//楼宇
	private String floorAndRoom;
	private String virName;//企业名称
	private String applyName;//申请人
	private String applyTel;//申请电话
	private String remark;//备注
	private String otherRecord;//其他记录
	private String createTime;//创建时间
	private int creator;//创建人
	private String modifyTime;//修改时间
	private int modifier;//修改人
	private String status;//状态(0客服主管，1客服，2工程人员，3通过，4拒绝)
	private String repairNumber;//维修单编码
	private int custServiceId;//跟进客服
	private int engPersonId;//跟进工程人员
	private String customerService;//跟进客服
	private String engPerson;//跟进工程人员
	private String wateInfo;//是否已提交水电表信息：已提交/未提交
	private int waterInfoType;//1未提交2已提交
	private String reason;//原因
	private String peasonPower;//用户权限1客服主管2跟进客服3跟进工程人员4既有客服主管又有跟进客服权限
	
	public EnterpriseDto(Integer id, String enterNumber, String orgId,String orgName,
			String floorAndRoom, String virName, String applyName,
			String applyTel, String remark, String otherRecord,
			 int creator,  int modifier,
			String status, String repairNumber,int custServiceId,int engPersonId,String customerService,String engPerson,String wateInfo,int waterInfoType,String reason,String peasonPower) {
		super();
		this.id = id;
		this.enterNumber = enterNumber;
		this.orgId = orgId;
		this.orgName=orgName;
		this.floorAndRoom = floorAndRoom;
		this.virName = virName;
		this.applyName = applyName;
		this.applyTel = applyTel;
		this.remark = remark;
		this.otherRecord = otherRecord;
		this.creator = creator;
		this.modifier = modifier;
		this.status = status;
		this.repairNumber = repairNumber;
		this.custServiceId=custServiceId;
		this.engPersonId=engPersonId;
		this.customerService=customerService;
		this.engPerson=engPerson;
		this.wateInfo=wateInfo;
		this.waterInfoType=waterInfoType;
		this.reason=reason;
		this.peasonPower=peasonPower;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getEnterNumber() {
		return enterNumber;
	}
	public void setEnterNumber(String enterNumber) {
		this.enterNumber = enterNumber;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public String getFloorAndRoom() {
		return floorAndRoom;
	}
	public void setFloorAndRoom(String floorAndRoom) {
		this.floorAndRoom = floorAndRoom;
	}
	public String getVirName() {
		return virName;
	}
	public void setVirName(String virName) {
		this.virName = virName;
	}
	public String getApplyName() {
		return applyName;
	}
	public void setApplyName(String applyName) {
		this.applyName = applyName;
	}
	public String getApplyTel() {
		return applyTel;
	}
	public void setApplyTel(String applyTel) {
		this.applyTel = applyTel;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getOtherRecord() {
		return otherRecord;
	}
	public void setOtherRecord(String otherRecord) {
		this.otherRecord = otherRecord;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public int getCreator() {
		return creator;
	}
	public void setCreator(int creator) {
		this.creator = creator;
	}
	public String getModifyTime() {
		return modifyTime;
	}
	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}
	public int getModifier() {
		return modifier;
	}
	public void setModifier(int modifier) {
		this.modifier = modifier;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getRepairNumber() {
		return repairNumber;
	}
	public void setRepairNumber(String repairNumber) {
		this.repairNumber = repairNumber;
	}
	public String getOrgName() {
		return orgName;
	}
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
	public String getCustomerService() {
		return customerService;
	}
	public void setCustomerService(String customerService) {
		this.customerService = customerService;
	}
	public String getEngPerson() {
		return engPerson;
	}
	public void setEngPerson(String engPerson) {
		this.engPerson = engPerson;
	}
	public String getWateInfo() {
		return wateInfo;
	}
	public void setWateInfo(String wateInfo) {
		this.wateInfo = wateInfo;
	}
	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}
	public int getCustServiceId() {
		return custServiceId;
	}
	public void setCustServiceId(int custServiceId) {
		this.custServiceId = custServiceId;
	}
	public int getEngPersonId() {
		return engPersonId;
	}
	public void setEngPersonId(int engPersonId) {
		this.engPersonId = engPersonId;
	}
	public int getWaterInfoType() {
		return waterInfoType;
	}
	public void setWaterInfoType(int waterInfoType) {
		this.waterInfoType = waterInfoType;
	}
	public String getPeasonPower() {
		return peasonPower;
	}
	public void setPeasonPower(String peasonPower) {
		this.peasonPower = peasonPower;
	}
	
	
}
